Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockStairs

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockStairs

    public class BlockStairs

extends Block

Field Summary

Fields inherited from class net.minecraft.src.Block
`anvil, beacon, bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, cactus, cake, canBlockGrass, carrot, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cobblestoneWall, cocoaPlant, commandBlock, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, fire, flowerPot, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, potatoe, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, skull, slipperiness, slowSand, snow, soundAnvilFootstep, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundLadderFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundSnowFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneButton, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodenButton, woodSingleSlab, workbench`

Method Summary
`void` | `addCollidingBlockToList(World par1World, int par2, int par3, int par4, AxisAlignedBB par5AxisAlignedBB, List par6List, Entity par7Entity)` if the specified block is in the given AABB, add its collision bounding box to the given list
`void` | `breakBlock(World par1World, int par2, int par3, int par4, int par5, int par6)` ejects contained items into the world, and notifies neighbours of an update, as appropriate
`boolean` | `canCollideCheck(int par1, boolean par2)` Returns whether this block is collideable based on the arguments passed in Args: blockMetaData, unknownFlag
`boolean` | `canPlaceBlockAt(World par1World, int par2, int par3, int par4)` Checks to see if its valid to put this block at the specified coordinates.
`MovingObjectPosition` | `collisionRayTrace(World par1World, int par2, int par3, int par4, Vec3 par5Vec3, Vec3 par6Vec3)` Ray traces through the blocks collision from start vector to end vector returning a ray trace hit.
`void` | `func_82541_d(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`boolean` | `func_82542_g(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`static boolean` | `func_82543_e(int par0)`
`boolean` | `func_82544_h(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`float` | `getBlockBrightness(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`int` | `getBlockTextureFromSide(int par1)` Returns the block texture based on the side being looked at.
`int` | `getBlockTextureFromSideAndMetadata(int par1, int par2)` From the specified side and block metadata retrieves the blocks texture.
`float` | `getExplosionResistance(Entity par1Entity)` Returns how much this block can resist explosions from the passed in entity.
`int` | `getMixedBrightnessForBlock(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`int` | `getRenderBlockPass()`
`int` | `getRenderType()` The type of render function that is called for this block
`AxisAlignedBB` | `getSelectedBoundingBoxFromPool(World par1World, int par2, int par3, int par4)`
`boolean` | `isCollidable()` Returns if this block is collidable (only used by Fire).
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockAdded(World par1World, int par2, int par3, int par4)` Called whenever the block is added into the world.
`void` | `onBlockClicked(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)` Called when the block is clicked by a player.
`void` | `onBlockDestroyedByExplosion(World par1World, int par2, int par3, int par4)` Called upon the block being destroyed by an explosion
`void` | `onBlockDestroyedByPlayer(World par1World, int par2, int par3, int par4, int par5)` Called right before the block is destroyed by a player.
`void` | `onBlockPlacedBy(World par1World, int par2, int par3, int par4, EntityLiving par5EntityLiving)` Called when the block is placed in the world.
`void` | `onEntityWalking(World par1World, int par2, int par3, int par4, Entity par5Entity)` Called whenever an entity is walking on top of this block.
`void` | `randomDisplayTick(World par1World, int par2, int par3, int par4, Random par5Random)`
`boolean` | `renderAsNormalBlock()` If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)
`void` | `setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)` Updates the blocks bounds based on its current state.
`int` | `tickRate()` How many world ticks before ticking
`void` | `updateBlockMetadata(World par1World, int par2, int par3, int par4, int par5, float par6, float par7, float par8)` called before onBlockPlacedBy by ItemBlock and ItemReed
`void` | `updateTick(World par1World, int par2, int par3, int par4, Random par5Random)` Ticks the block if it's been scheduled
`void` | `velocityToAddToEntity(World par1World, int par2, int par3, int par4, Entity par5Entity, Vec3 par6Vec3)` Can add to the passed in vector for a movement vector to be applied to the entity.

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCreativeItems, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderColor, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, idDropped, idPicked, isAirBlock, isBeaconBase, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isLeaves, isNormalCube, isPoweringTo, isWood, onBlockEventReceived, onBlockHarvested, onEntityCollidedWithBlock, onFallenUpon, onNeighborBlockChange, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, translateBlockName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setBlockBoundsBasedOnState

    public void setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess,
                                           int par2,
                                           int par3,
                                           int par4)

  Updates the blocks bounds based on its current state. Args: world, x, y, z

  Overrides:
    `setBlockBoundsBasedOnState` in class `Block`

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `Block`

### renderAsNormalBlock

    public boolean renderAsNormalBlock()

  If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)

  Overrides:
    `renderAsNormalBlock` in class `Block`

### getRenderType

    public int getRenderType()

  The type of render function that is called for this block

  Overrides:
    `getRenderType` in class `Block`

### func_82541_d

    public void func_82541_d(IBlockAccess par1IBlockAccess,
                             int par2,
                             int par3,
                             int par4)

### func_82543_e

    public static boolean func_82543_e(int par0)

### func_82542_g

    public boolean func_82542_g(IBlockAccess par1IBlockAccess,
                                int par2,
                                int par3,
                                int par4)

### func_82544_h

    public boolean func_82544_h(IBlockAccess par1IBlockAccess,
                                int par2,
                                int par3,
                                int par4)

### addCollidingBlockToList

    public void addCollidingBlockToList(World par1World,
                                        int par2,
                                        int par3,
                                        int par4,
                                        AxisAlignedBB par5AxisAlignedBB,
                                        List par6List,
                                        Entity par7Entity)

  if the specified block is in the given AABB, add its collision bounding box to the given list

  Overrides:
    `addCollidingBlockToList` in class `Block`

### randomDisplayTick

    public void randomDisplayTick(World par1World,
                                  int par2,
                                  int par3,
                                  int par4,
                                  Random par5Random)

  Overrides:
    `randomDisplayTick` in class `Block`

### onBlockClicked

    public void onBlockClicked(World par1World,
                               int par2,
                               int par3,
                               int par4,
                               EntityPlayer par5EntityPlayer)

  Called when the block is clicked by a player. Args: x, y, z, entityPlayer

  Overrides:
    `onBlockClicked` in class `Block`

### onBlockDestroyedByPlayer

    public void onBlockDestroyedByPlayer(World par1World,
                                         int par2,
                                         int par3,
                                         int par4,
                                         int par5)

  Called right before the block is destroyed by a player. Args: world, x, y, z, metaData

  Overrides:
    `onBlockDestroyedByPlayer` in class `Block`

### getMixedBrightnessForBlock

    public int getMixedBrightnessForBlock(IBlockAccess par1IBlockAccess,
                                          int par2,
                                          int par3,
                                          int par4)

  Overrides:
    `getMixedBrightnessForBlock` in class `Block`

### getBlockBrightness

    public float getBlockBrightness(IBlockAccess par1IBlockAccess,
                                    int par2,
                                    int par3,
                                    int par4)

  Overrides:
    `getBlockBrightness` in class `Block`

### getExplosionResistance

    public float getExplosionResistance(Entity par1Entity)

  Returns how much this block can resist explosions from the passed in entity.

  Overrides:
    `getExplosionResistance` in class `Block`

### getBlockTextureFromSideAndMetadata

    public int getBlockTextureFromSideAndMetadata(int par1,
                                                  int par2)

  From the specified side and block metadata retrieves the blocks texture. Args: side, metadata

  Overrides:
    `getBlockTextureFromSideAndMetadata` in class `Block`

### getBlockTextureFromSide

    public int getBlockTextureFromSide(int par1)

  Returns the block texture based on the side being looked at. Args: side

  Overrides:
    `getBlockTextureFromSide` in class `Block`

### getRenderBlockPass

    public int getRenderBlockPass()

  Overrides:
    `getRenderBlockPass` in class `Block`

### tickRate

    public int tickRate()

  How many world ticks before ticking

  Overrides:
    `tickRate` in class `Block`

### getSelectedBoundingBoxFromPool

    public AxisAlignedBB getSelectedBoundingBoxFromPool(World par1World,
                                                        int par2,
                                                        int par3,
                                                        int par4)

  Overrides:
    `getSelectedBoundingBoxFromPool` in class `Block`

### velocityToAddToEntity

    public void velocityToAddToEntity(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      Entity par5Entity,
                                      Vec3 par6Vec3)

  Can add to the passed in vector for a movement vector to be applied to the entity. Args: x, y, z, entity, vec3d

  Overrides:
    `velocityToAddToEntity` in class `Block`

### isCollidable

    public boolean isCollidable()

  Returns if this block is collidable (only used by Fire). Args: x, y, z

  Overrides:
    `isCollidable` in class `Block`

### canCollideCheck

    public boolean canCollideCheck(int par1,
                                   boolean par2)

  Returns whether this block is collideable based on the arguments passed in Args: blockMetaData, unknownFlag

  Overrides:
    `canCollideCheck` in class `Block`

### canPlaceBlockAt

    public boolean canPlaceBlockAt(World par1World,
                                   int par2,
                                   int par3,
                                   int par4)

  Checks to see if its valid to put this block at the specified coordinates. Args: world, x, y, z

  Overrides:
    `canPlaceBlockAt` in class `Block`

### onBlockAdded

    public void onBlockAdded(World par1World,
                             int par2,
                             int par3,
                             int par4)

  Called whenever the block is added into the world. Args: world, x, y, z

  Overrides:
    `onBlockAdded` in class `Block`

### breakBlock

    public void breakBlock(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  ejects contained items into the world, and notifies neighbours of an update, as appropriate

  Overrides:
    `breakBlock` in class `Block`

### onEntityWalking

    public void onEntityWalking(World par1World,
                                int par2,
                                int par3,
                                int par4,
                                Entity par5Entity)

  Called whenever an entity is walking on top of this block. Args: world, x, y, z, entity

  Overrides:
    `onEntityWalking` in class `Block`

### updateTick

    public void updateTick(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           Random par5Random)

  Ticks the block if it's been scheduled

  Overrides:
    `updateTick` in class `Block`

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### onBlockDestroyedByExplosion

    public void onBlockDestroyedByExplosion(World par1World,
                                            int par2,
                                            int par3,
                                            int par4)

  Called upon the block being destroyed by an explosion

  Overrides:
    `onBlockDestroyedByExplosion` in class `Block`

### onBlockPlacedBy

    public void onBlockPlacedBy(World par1World,
                                int par2,
                                int par3,
                                int par4,
                                EntityLiving par5EntityLiving)

  Called when the block is placed in the world.

  Overrides:
    `onBlockPlacedBy` in class `Block`

### updateBlockMetadata

    public void updateBlockMetadata(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5,
                                    float par6,
                                    float par7,
                                    float par8)

  called before onBlockPlacedBy by ItemBlock and ItemReed

  Overrides:
    `updateBlockMetadata` in class `Block`

### collisionRayTrace

    public MovingObjectPosition collisionRayTrace(World par1World,
                                                  int par2,
                                                  int par3,
                                                  int par4,
                                                  Vec3 par5Vec3,
                                                  Vec3 par6Vec3)

  Ray traces through the blocks collision from start vector to end vector returning a ray trace hit. Args: world, x, y, z, startVec, endVec

  Overrides:
    `collisionRayTrace` in class `Block`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD